Delete Form 1

Delete Form 1

Delete the form with the specified sourceType, sourceId and formType.

Request
URI
DELETE
https://vra-interop-222-139.lvn.broadcom.net/form-service/api/forms/deleteBySourceAndType
COPY
Query Parameters
string
sourceType
Required

The form source type. It can be 'com.vmw.vro.workflow' or 'resource.action', or 'com.vmw.blueprint.version'.

string
sourceId
Required

The form source ID

string
formType
Required

The form type. It can be 'requestForm'.


Authentication
This operation uses the following authentication methods.
Responses
200

'Success'

Operation doesn't return any data structure

400

'Bad Request'

Operation doesn't return any data structure

403

'Forbidden' when the user has no admin access rights.

Operation doesn't return any data structure

404

'Not Found' if no form definition is found.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/form-service/api/forms/deleteBySourceAndType?sourceType=value&sourceId=value&formType=v